org.opengis.cite.ogcapifeatures10.conformance.crs.query.bboxcrs

## Class BBoxCrsParameterInvalid

- java.lang.Object
- - org.opengis.cite.ogcapifeatures10.conformance.CommonFixture
  - - org.opengis.cite.ogcapifeatures10.conformance.crs.query.bboxcrs.AbstractBBoxCrs
    - - org.opengis.cite.ogcapifeatures10.conformance.crs.query.bboxcrs.BBoxCrsParameterInvalid

-     public class BBoxCrsParameterInvalid
      extends AbstractBBoxCrs

       Abstract Test 9: /conf/crs/bbox-crs-parameter-invalid
       Test Purpose: Verify that the parameter bbox-crs has been implemented correctly
       Requirement: /req/crs/fc-bbox-crs-valid-value

       Test Method
       For each spatial feature collection collectionId, send a request with the parameters bbox and bbox-crs to /collections/{collectionId}/items with a value for bbox-crs that is not included in the list of CRSs and verify that the response has status code 400.

  Author:
    Lyn Goltz

- - ### Field Summary

    - ### Fields inherited from class org.opengis.cite.ogcapifeatures10.conformance.crs.query.bboxcrs.AbstractBBoxCrs

      `BBOX_CRS_PARAM, BBOX_PARAM, collectionIdToCrs, collectionIdToDefaultCrs, collectionsResponses`

    - ### Fields inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

      `requestLoggingFilter, responseLoggingFilter, rootUri`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BBoxCrsParameterInvalid()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterator<Object[]>` | `collectionIdAndJson(org.testng.ITestContext testContext)`
    `void` | `verifyBboxCrsParameterInvalid(String collectionId, io.restassured.path.json.JsonPath collection)`

    - ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.crs.query.bboxcrs.AbstractBBoxCrs

      `assertSameFeatures, retrieveRequiredInformationFromTestContext`

    - ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

      `clearMessages, getRequest, getResponse, init, initCommonFixture`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BBoxCrsParameterInvalid

          public BBoxCrsParameterInvalid()

  - ### Method Detail

    - #### collectionIdAndJson

          public Iterator<Object[]> collectionIdAndJson(org.testng.ITestContext testContext)

    - #### verifyBboxCrsParameterInvalid

          public void verifyBboxCrsParameterInvalid(String collectionId,
                                                    io.restassured.path.json.JsonPath collection)

      Parameters:
        `collectionId` - the id of the collection, never `null`
        `collection` - the /collection object, never `null`

Copyright © 2022 Open Geospatial Consortium. All rights reserved.